<vn>
<vn-group>
	<db-form v-model="user">
		<db-model property="model" lot="hash">
			SELECT u.id, u.name user, u.nickname, u.email, c.phone, r.name role
				FROM account.user u
					JOIN account.role r ON r.id = u.role
					LEFT JOIN vn.client c ON c.id = u.id 
				WHERE u.id = #user
		</db-model>
	</db-form>
</vn-group>
<div id="title">
	<h1><t>AccessLog</t></h1>
</div>
<div id="form" class="access-log">
	<div class="box vn-w-xs vn-pa-lg">
		<div class="form">
			<h4>{{user.nickname}}</h4>
			<p>#{{user.id}} - {{user.user}}</p>
			<p>{{user.role}}</p>
			<p>{{user.email}}</p>
			<p>{{user.phone}}</p>
		</div>
	</div>
	<htk-repeater form-id="iter" class="box vn-w-xs htk-list vn-mt-md">
		<db-model property="model" lot="hash">
			SELECT u.stamp, a.platform, a.browser, a.version, a.javascript, a.cookies
				FROM visitUser u
					JOIN visitAccess c ON c.id = u.accessFk
					JOIN visitAgent a ON a.id = c.agentFk
				WHERE u.userFk = #user
				ORDER BY u.stamp DESC
				LIMIT 8
		</db-model>
		<custom>
			<div class="item">
				<div class="content">
					<p>
						{{Vn.Value.format(iter.stamp, _('%a, %e %b %Y at %T'))}}
					</p>
					<p>
						{{iter.platform}} - {{iter.browser}} {{iter.version}}
					</p>
				</div>
			</div>
		</custom>
	</htk-repeater>
</div>
</vn>
